http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/alertmanager/definitionCreate an alert manager definition.
The ID of the workspace in which to create the alert manager definition.
The alert manager definition data.
An identifier used to ensure the idempotency of a write request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/alertmanager/definition' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/alertmanager/definitionCreate an alert manager definition.
The ID of the workspace in which to create the alert manager definition.
The alert manager definition data.
An identifier used to ensure the idempotency of a write request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/alertmanager/definition' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}